Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Query Parameters

filter
string

Fetch user with a given name or email address using SCIM operators

Examples:

emails.value eq "test@email.com"

name.givenName eq "James" and name.familyName eq "Bond"

startIndex
integer

The 1-based start index of the first user to be returned

count
integer

The number of users to be returned. A maximum of 50 users will be returned in a page.

attributes
string

Comma-separated SCIM defined attributes to be returned. Required attributes are always returned

excludedAttributes
string

Comma-separated SCIM defined attributes to be excluded. Required attributes cannot be excluded

Response

List of users

totalResults
integer<int64>
required

The total number of users available

Example:

102

itemsPerPage
integer<int32>
required

The number of users in the returned page

Example:

1

startIndex
integer<int32>
required

The 1-based index of the first user in the returned page

Example:

1

Resources
object[]
required

A page of users

schemas
string[]
required

The schemas defining the attributes of the user resources list.

Example: